Pkgcheck Warnings

  • All Versions
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm64, x86 ], potential: [ ~arm ]
    • UnstableOnly
      for arch: [ arm ], all versions are unstable: [ 2.11, 2.12 ]
    • VariableScope
      variable 'ED' used in 'src_configure' on line: 62
    • DeprecatedEapi
      uses deprecated EAPI 6
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 2.12
  • 2.12
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm64, x86 ], potential: [ ~arm ]
  • 2.11
    • VariableScope
      variable 'ED' used in 'src_configure' on line: 62
    • DeprecatedEapi
      uses deprecated EAPI 6
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 2.12

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.